# $Revision: 1.8 $, $Date: 2005/09/17 11:39:50 $
Summary:	A General environment for the treatment of Discrete Problems
Summary(pl):	rodowisko do rozwizywania problemw dyskretnych
Name:		getdp
Version:	1.1.0
Release:	2
License:	GPL v2
Group:		Applications/Engineering
Source0:	http://geuz.org/getdp/src/%{name}-%{version}-source.tgz
# Source0-md5:	cceb5f66c3d2889048fd5f35d178171e
URL:		http://www.geuz.org/getdp/
BuildRequires:	gcc-g77
BuildRequires:	gsl-devel
BuildRequires:	texinfo
Buildroot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GetDP is a scientific software environment for the numerical solution
of integro-differential equations, open to the coupling of physical
problems (electromagnetic, thermal, mechanical, etc) as well as of
numerical methods (finite element method, integral methods, etc). It
can deal with such problems of various dimensions (1D, 2D, 2D
axisymmetric or 3D) and time states (static, transient or harmonic).
The main feature of GetDP is the closeness between the organization of
data defining discrete problems (written by the user in ASCII data
files) and the symbolic mathematical expressions of these problems.

Install GetDP if you need a finite element solver for multiphysic
problems.

%description -l pl
GetDP jest naukowym rodowiskiem do numerycznego rozwizywania rwna,
otwartym na rne fizyczne problemy(elektromagnetyczne, termiczne,
mechaniczne...), podobnie jak na metody numeryczne (metoda elementw
skoczonych, metody cakowania...). Moe rozwizywa problemy w rnej
liczbie wymiarw (1D, 2D, 2D asymetryczne lub 3D), i rnych stanach
czasu (statyczne, transakcyjne lub harmoniczne). Gwn wasnoci
GetDP jest blisko pomidzy organizacj danych definiujcych problem
dyskretny (zapisane przez uytkownika w plikach tekstowych) i
symbolicznymi wyraeniami matematycznymi tego problemu.

Warto zainstalowa GetDP jeeli potrzebujemy narzdzie do
obliczania elementw skoczonych dla problemw fizycznych.

%prep
%setup -q

%build
%configure
%{__make}
%{__make} doc-info

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_infodir}}

install bin/getdp $RPM_BUILD_ROOT%{_bindir}/getdp
install doc/getdp.1 $RPM_BUILD_ROOT%{_mandir}/man1
install doc/texinfo/getdp.info* $RPM_BUILD_ROOT%{_infodir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/VERSIONS doc/FAQ doc/CREDITS demos README
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/%{name}*
%{_infodir}/%{name}*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: getdp.spec,v $
Revision 1.8  2005/09/17 11:39:50  arekm
- new readline 5.0

Revision 1.7  2005/08/22 18:01:16  darekr
- proper License, added README to %doc

Revision 1.6  2005/08/22 17:42:20  darekr
- kill setting perms in %install

Revision 1.5  2005/08/22 17:35:13  undefine
- up to 1.1.0

Revision 1.4  2005/06/01 11:05:41  zbyniu
- BR: texinfo

Revision 1.3  2005/02/06 12:27:50  undefine
- up to 1.0.1

Revision 1.2  2004/09/06 19:55:56  qboosh
- pl fixes, cleanups

Revision 1.1  2004/09/05 13:43:05  undefine
- initital pld version based on included spec
